Subject: Re: snd-aoa: new apple sound driver

From: Johannes Berg <[email-masked]>
Date: Wed, 29 Mar 2006 15:00:43 +0200

On Wed, 2006-03-29 at 15:01 +1100, Benjamin Herrenschmidt wrote:
> BTW.. with the current stuff, if I install the modules and then do
> 
> modprobe i2sbus
> 
> I get a registration error in dmesg. 

Hmm. What's the error? Can't reproduce this at all. Also, what machine?
It works fine on my powermac, even when i2sbus is auto-loaded due to
binding to the macio i2s device alias.

> If I then try to rmmod it, the
> machine blows up. Haven't had time to track that down at this point.

That sucks.

> Appart from that, it works and I can play morse with myh SPID output :)

Heh yeah, we did that too :)

> Oh, and jackd seems to be unhappy even if I tell it to ignore the
> capture channels, it's probably a problem with setting the sample
> formats, I haven't looked in detail (yet).

Hmm. I'll try to see what jackd does.

johannes